complexType "NettedTradeCashflowsRetracted"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, tradeCashflowsId?, (tradeIdentifyingItems*, adjustedPaymentDate?, payment*)?, matchId?, party*
</...>

Content Model Elements (12):

  adjustedPaymentDate (defined in NettedTradeCashflows.model group),
  correlationId,
  header (defined in RequestMessage complexType),
  matchId (in nettedTradeCashflowsRetracted),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (in nettedTradeCashflowsRetracted),
  payment (defined in NettedTradeCashflows.model group),
  sequenceNumber (defined in Sequence.model group),
  tradeCashflowsId (defined in IdAndNettedTradeCashflows.model group),
  tradeIdentifyingItems (defined in NettedTradeCashflows.model group),
  validation

All Direct / Indirect Based Elements (1):

  nettedTradeCashflowsRetracted

Known Usage Locations

- As direct type of elements (1):
  nettedTradeCashflowsRetracted

Annotation
Message for cancellation of payments to be reconciled. A message sent to indicate that previously asserted TradeCashFlows are no longer in effect. For example, this may be caused by a trade's being terminated or assigned after a TradeCashflowsAsserted message has been sent but before the payment date.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) NettedTradeCashflowsRetracted

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="NettedTradeCashflowsRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="IdAndNettedTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/12)
matchId

  Type: | MatchId, simple content

  A unique identifier assigned by matching service to each set of matched cashflows.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchId" type="MatchId"/>

party

  Type: | Party, complex content

  One party element for each of the principal parties and any other party that is referenced.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.